From 98a2e7784f14f1c69dbb93e0bfb6539987aa16d4 Mon Sep 17 00:00:00 2001
From: yuelongguang <yuelongguang@le.com>
Date: Mon, 13 Jun 2016 17:29:57 +0800
Subject: [PATCH] add default mapping of credentials to machine

---
 src/util/virauthconfig.c | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/src/util/virauthconfig.c b/src/util/virauthconfig.c
index 6064e4a..b58937c 100644
--- a/src/util/virauthconfig.c
+++ b/src/util/virauthconfig.c
@@ -122,6 +122,13 @@ int virAuthConfigLookup(virAuthConfigPtr auth,
         goto cleanup;
 
     if (!virKeyFileHasGroup(auth->keyfile, authgroup)) {
+       VIR_FREE(authgroup);
+       if (virAsprintf(&authgroup, "auth-%s-%s", service, "default") < 0){
+           goto cleanup;
+       }
+    }
+
+    if (!virKeyFileHasGroup(auth->keyfile, authgroup)) {
         ret = 0;
         goto cleanup;
     }
-- 
1.8.3.1

